aboutsummaryrefslogtreecommitdiffstats
path: root/package/x11r7/xfont_font-util/post-install.sh
diff options
context:
space:
mode:
authorJohn Voltz <john.voltz@gmail.com>2008-03-06 18:36:12 +0000
committerJohn Voltz <john.voltz@gmail.com>2008-03-06 18:36:12 +0000
commit1a2b4af3fb5fcac12d6c9f56963d1fcc3db92b80 (patch)
tree4234e4b0b12da77755228e612841f3fb11f85a48 /package/x11r7/xfont_font-util/post-install.sh
parenteda9b0fe87303011e8b54b01ae8ad0eca44ded0c (diff)
downloadbuildroot-novena-1a2b4af3fb5fcac12d6c9f56963d1fcc3db92b80.tar.gz
buildroot-novena-1a2b4af3fb5fcac12d6c9f56963d1fcc3db92b80.zip
updated xorg to version 7.3 and added all of the fonts
Diffstat (limited to 'package/x11r7/xfont_font-util/post-install.sh')
-rwxr-xr-xpackage/x11r7/xfont_font-util/post-install.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/package/x11r7/xfont_font-util/post-install.sh b/package/x11r7/xfont_font-util/post-install.sh
new file mode 100755
index 000000000..c4888e20d
--- /dev/null
+++ b/package/x11r7/xfont_font-util/post-install.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+ STAGING_DIR=$1
+
+ # fix the fontutil pkgconfig file to cross-compile fonts after fontutil is installed
+ sed "s,^mapdir=.*,mapdir=${STAGING_DIR}/usr/lib/X11/fonts/util,g" \
+ ${STAGING_DIR}/usr/lib/pkgconfig/fontutil.pc > ${STAGING_DIR}/usr/lib/pkgconfig/fontutil.pc.new
+ mv ${STAGING_DIR}/usr/lib/pkgconfig/fontutil.pc.new ${STAGING_DIR}/usr/lib/pkgconfig/fontutil.pc
+
+ # link to the build host's ucs2any and fc-cache
+ rm ${STAGING_DIR}/usr/bin/ucs2any
+
+ ln -s `which ucs2any` ${STAGING_DIR}/usr/bin
+ if [ "$?" != "0" ]; then
+ echo "Error linking to the build host's ucs2any font utility."
+ echo "Make sure that you have the xorg-x11-font-utils package installed."
+ exit 1
+ fi
+
+ rm ${STAGING_DIR}/usr/bin/fc-cache
+
+ ln -s `which fc-cache` ${STAGING_DIR}/usr/bin
+ if [ "$?" != "0" ]; then
+ echo "Error linking to the build host's fc-cache font utility."
+ echo "Make sure that you have the fontconfig package installed."
+ exit 1
+ fi
+